Post by Anyhow Infosystems » Thu Apr 23, 2020 6:25 pm

Hello All,

When I was going to install opencart 2.3.0.2 in my server having PHP 7, it gave me error of
Warning: mCrypt extension needs to be loaded for OpenCart to work!
. Then I went to the controller and comment the line on which then mCrypt function is checked. Then I easily moved to the next step of the installation.

file: install/controller/install/step_2.php

Code: Select all

		// if (!function_exists('mcrypt_encrypt')) {
		// 	$this->error['warning'] = $this->language->get('error_mcrypt');
		// }
		
Last edited by straightlight on Thu Apr 23, 2020 7:47 pm, edited 1 time in total.
Reason: Added code tags.

New member

Posts

Joined
Thu Jul 25, 2019 4:56 pm

Post by OSWorX » Thu Apr 23, 2020 7:21 pm

And now - what do want to tell us?
And do you really think, your problem (with the encryption) under php 7 are gone now?

Custom Development | Individuelle Entwicklung | Support & Bugfixes

Image Image Image


User avatar
Guru Member
Online

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by straightlight » Thu Apr 23, 2020 7:48 pm

Anyhow Infosystems wrote:
Thu Apr 23, 2020 6:25 pm
Hello All,

When I was going to install opencart 2.3.0.2 in my server having PHP 7, it gave me error of
Warning: mCrypt extension needs to be loaded for OpenCart to work!
. Then I went to the controller and comment the line on which then mCrypt function is checked. Then I easily moved to the next step of the installation.

file: install/controller/install/step_2.php

Code: Select all

		// if (!function_exists('mcrypt_encrypt')) {
		// 	$this->error['warning'] = $this->language->get('error_mcrypt');
		// }
		
Self-concluded. It does not solved anything to remove a validation but will simply create additional problems in the future while using the platform.

The most generated errors being found on Opencart forum originates from contributed programming. The increased post counters are caused by redundancies of the same solutions that were already provided prior.


Regards,
Straightlight
Programmer / Opencart Tester


Legendary Member
Online

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by IP_CAM » Thu Apr 23, 2020 8:11 pm

Just to have it mentioned, for latest 1.5.6.x Versions, a free Extension exists,
to avoid such problems during PHP7 installation, but nothing similar exists
for OC v.2.x Releases, as I'm aware of. It would probably be better, to remove
OC v.2.x Installation Downloads from the Face of the Earth, if nobody seems to
care about, to still make 'em work with latest PHP7 releases. ::)
Ernie

bnit.it mcrypt encryption replacement for opencart 1.5.6.4 PHP7
https://www.opencart.com/index.php?rout ... n_id=38012

Please don't send me OC Forum Personal Messages, just contact: jti@jacob.ch
---
OC 1.5.6.5 LIGHT Test Site: http://www.bigmax.ch/shop/
OC 1.5.6.5 V-PRO Test Site: http://www.openshop.li/shop/
My Github OC Site: https://github.com/IP-CAM
2'600+ FREE OC Extensions on the World's largest Github OC Repository Archive Site.


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland
Who is online

Users browsing this forum: No registered users and 8 guests